/*Fichier destiné à accueillir la partie 1 de la SAE de structure de données.
Dans cette partie nous allons implémenter un tableau de pointeurs dans lequel nous retrouverons des strucutures de type ville qui comprennent le nom et un pointeur vers la liste de maillons de départments.
Pour l'instant cela semble difficile mais nous allons diviser le travail de sorte à d'abord créer les structures requises, donc ici VilleIut et la liste. Nous ferons ensuite correspondre à ces structures, des données que nous pourrons insérer via des fonctions de type lireDep.. triées en fonction d'algorithmes de tris qui permettront plus tard une recherche simplifiée.
Etant donné qu'il sera nécessaire de faire 2 parties (une partie administrateur et une partie utilisateur) nous allons en prendre une chacune : Roxane la partie utilisateur et Lola la partie administrateur.*/

typedef struct list{
	char departement[31];//le nom du département
	int nbP;//nombre de places
	char respAd[31];//nom du responsable
	struct list * suiv;//pointeur suivant de la liste
}MaillonDept;


typedef struct{
	char ville[30];//nom de la ville
	MaillonDept * ldept;//liste de départements
}VilleIUT;

typedef MaillonDept * ListDept;

void lireM(FILE *f, MaillonDept * m);//lire maillon
int Exists(char *st1, char *st2);
ListDept InsertT(ListDept list, MaillonDept * m);
ListDept Insert(ListDept list, MaillonDept *m);
int Chargement(VilleIUT **tV, int tmax, char *nameFile);
void AfficheDpmt ( MaillonDept *dpt );
void afficheIUT (VilleIUT *iut);
void Affichetableau(VilleIUT ** TabIUT, int n );
